<?php


namespace App\RestApi\FiscalDocument\Controllers;

use Illuminate\Http\Request;
use Schaffen\Fiscal\FiscalDocument\Managers\NfstaManager;
use Schaffen\Fiscal\FiscalDocument\Repositories\NfstaRepository;
use Freelabois\LaravelQuickstart\Traits\Crudable;
use Response;
use Storage;

class NfstaController
{

    use Crudable;

    public function __construct(
        NfstaManager $manager,
        NfstaRepository $repository
    )
    {
        $this->setup($manager, $repository);
    }

    public function index(Request $request){
        $filter = $request->all();
        return $this->resource::collection($this->repository->findMany($filter));
    }
   
    public function download($id)
    {

        $data = $this->manager->getFile($id);
        // prepare content
        $content = mb_convert_encoding($data->nfsta_arquivo, "ISO-8859-1");
        //$content .= "\n"; 

        // file name that will be used in the download
        $fileName = $data->nfsta_nome_arquivo;

        // use headers in order to generate the download
        // $headers = [
        //     'Content-type' => 'text/plain; charset=ISO-8859-1', 
        //     'Content-Disposition' => sprintf('attachment; filename="%s"', $fileName),
        //     'Charset' => 'ISO-8859-1'
        // ];

        header('Content-Disposition: attachment; filename="'.$fileName.'"; content-type: text/plain; charset=iso-8859-1;');
        // make a response, with the content, a 200 response code and the headers
        echo ($content);
        //return Response::make($content, 200, $headers);

        
        //$file_path = explode(env('APP_URL ') . "/storage", 'DOCUMENTO_FISCAL/'.$fileName.'.txt');
        //return Response::make(Storage::disk('local')->get(last($file_path)), 200, $headers);
    }

}
