<?php

namespace App\RestApi\ProductionOrder\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreProductionOrderRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            // validação alterada para utilização de mensagem de erro mais personalizada
            // "op_fk_pve_final" => 'numeric|exists:dynamicdb.produto.produto_composicao_pcp,pcp_fk_pve_codigo_acabado',
            "op_fk_pve_final" => 'numeric|present',
            "op_dta_agendamento" => 'string|present|regex:/[0-9]{4}-[0-9]{2}-[0-9]{2}/',
            "op_hora_agendamento" => 'string|present|regex:/[0-9]{2}\:[0-9]{2}/',
            "op_quantidade" => 'numeric|present',
            "op_observacao" => 'string|nullable'
        ];
    }
}
